package dto;

import java.time.LocalDate;
import java.util.List;

/**
 * @author Alexandr Shalaginov
 */
public class ConfigExecuteRequest {
  public List<String> ids;

  public LocalDate startDate;

  public LocalDate endDate;

  public List<String> getIds() {
    return ids;
  }

  public void setIds(List<String> ids) {
    this.ids = ids;
  }

  public LocalDate getStartDate() {
    return startDate;
  }

  public void setStartDate(LocalDate startDate) {
    this.startDate = startDate;
  }

  public LocalDate getEndDate() {
    return endDate;
  }

  public void setEndDate(LocalDate endDate) {
    this.endDate = endDate;
  }

  @Override
  public String toString() {
    return "ConfigExecuteRequest{" +
           "ids=" + ids +
           ", startDate=" + startDate +
           ", endDate=" + endDate +
           '}';
  }
}
